/*
 *	Librairies Dynamiques GEM
 *	dfinitions pour les librairies dynamiques GEM de type LDG 
 * 	Version portable Gnuc/PureC
 *
 *	Copyright 97/98 by Olivier Landemarre and Dominique Brziat
 */

#ifndef __LDGAPP__
#define __LDGAPP__

#include <portab.h>

/* Les messages */

#define LDG_PROTOCOL	0x4C44	/* (= 'LD') Le client se dclare (client->ldg) */ 
#define LDG_REQUEST 	0x4C45  /* demande d'infos  la librairie (client->ldg)*/
#define LDG_TERM		0x4C47  /* la librairie quitte (ldg->client) */
							    /* le client n'utilise plus la lib (client->ldg) */
#define LDG_GARBAGE		0x4C48  /* mcanisme de garbage collector */	
#define LDG_ERROR		0x4C49  /* erreur de dclaration */
#define LDG_QUIT   		0x4C4A  /* message interne aux libs */
#define LDG_LIST		0x4C4B  /* la lib retourne la liste de ses clients */

#define LDG_COOKIE		0x4C44474DL	/* 'LDGM' */

/* les structures */

/* Le cookie LDG */
typedef struct {
		WORD version;
		char path[128];
		WORD garbage;
		WORD idle;
	} LDG_INFOS;


typedef struct entrie{
		char *name;			/* Nom de la procdure */
		char *info;			/* infos sur la fonction */
		void *func;			/* adresse de la fonction */
	} PROC;

/* La structure associ au message LDG_ANSWER */

typedef struct ldg {
		LONG magic;			/* Doit valoir 'LDGM' 	   */
		WORD vers;			/* Version de la librairie */
		WORD id;			/* id de la lib (rserv)  */
		WORD num;			/* nombre d'entres        */
		PROC *list;			/* les fonctions de la lib */
		char *infos;		/* infos, description de la lib */
		void *baspag;		/* Ne pas toucher */
		AESPB aespb;		/* Idem */
	} LDG;

/* fonctions pour le client : */
LDG *ldg_exec( int app_id, char *name);
void ldg_term( int app_id, LDG *ldg);
int  ldg_error( void);
void *ldg_find( char *name, LDG *ldg);

/* fonctions pour le serveur : */
int  ldg_init( LDG *ldg);
int  ldg_exit( void);
int  ldg_evnt( int *end, int mask);

/* divers */
int ldg_cookie( long, long *);
int ldg_debug( char *, ...);
void ldg_snd_msg( int, int, int, int *);

#endif __LDGAPP__